Package com.documentum.fc.client

# Interface IDfDocbrokerClient

public interface IDfDocbrokerClient
An interface for interacting with connection brokers for the purpose of obtaining lists of repositories and repository servers.

Since:
  5.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDocbroker(String hostName, int portNumber)`
  Dynamically adds a connection broker to the list of known connection brokers.
  `IDfTypedObject`
  `getAcsServerMap(String docbaseName)`
  Returns information about the ACS servers that are known to the set of connection brokers currently configured for this IDfDocbrokerClient instance.
  `IDfTypedObject`
  `getAcsServerMapFromSpecificDocbroker(String docbaseName, String protocol, String hostName, String portNumber)`
  Returns information about the ACS servers that are known to a specific connection broker.
  `IDfDocbaseMap`
  `getDocbaseMap()`
  Returns information about the repositories that are known to the set of connection brokers currently configured for this IDfDocbrokerClient instance.
  `IDfDocbaseMap`
  `getDocbaseMapFromSpecificDocbroker(String protocol, String hostName, String portNumber)`
  Returns information about the repositories that are known to a specific connection broker.
  `String`
  `getDocbaseNameFromDocbaseId(long docbaseId)`
  Returns the name of the repository from its numeric id.
  `String`
  `getDocbaseNameFromId(IDfId objectId)`
  Returns the name of the repository from which the object and its `IDfId` originated.
  `IDfTypedObject`
  `getDocbrokerMap()`
  Returns information about the connection brokers known to this IDfDocbrokerClient instance.
  `IDfTypedObject`
  `getServerMap(String docbaseName)`
  Returns information about the servers that are known to the set of connection brokers currently configured for this IDfDocbrokerClient instance.
  `IDfTypedObject`
  `getServerMapFromSpecificDocbroker(String docbaseName, String protocol, String hostName, String portNumber)`
  Returns information about the servers that are known to a specific connection broker.
  `boolean`
  `isDocbrokerModificationEnabled()`
  Indicates whether connection brokers can be dynamically added or removed.
  `void`
  `removeDocbroker(String hostName, int portNumber)`
  Dynamically removes a connection broker that was added using `addDocbroker(java.lang.String, int)`.
  `void`
  `setDocbrokerModificationEnabled(boolean enable, IDfSession session)`
  Enables or disables the dynamic adding and removing of connection brokers.

- ## Method Details

  - ### getDocbrokerMap

    IDfTypedObject getDocbrokerMap() throws DfException
    Returns information about the connection brokers known to this IDfDocbrokerClient instance.
    Returns:
      information about the known connection brokers
    Throws:
      `DfException` - if a server error occurs

  - ### addDocbroker

    void addDocbroker(String hostName, int portNumber) throws DfException
    Dynamically adds a connection broker to the list of known connection brokers.

    Only administrative users should dynamically add connection brokers. Dynamically added connection brokers are mostly invisible to normal users. Normal users that get connection broker, repository, and server maps through the `IDfClient` interface will not see dynamically added connection brokers.
    Throws:
      `DfException`
    See Also:
      - `removeDocbroker(java.lang.String, int)`

  - ### removeDocbroker

    void removeDocbroker(String hostName, int portNumber) throws DfException
    Dynamically removes a connection broker that was added using `addDocbroker(java.lang.String, int)`.
    Throws:
      `DfException`
    See Also:
      - `addDocbroker(java.lang.String, int)`

  - ### getDocbaseMap

    IDfDocbaseMap getDocbaseMap() throws DfException
    Returns information about the repositories that are known to the set of connection brokers currently configured for this IDfDocbrokerClient instance.

    This method returns an object that contains the repository IDs, repository names, and verbose repository descriptions.
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `getDocbaseMapFromSpecificDocbroker(java.lang.String, java.lang.String, java.lang.String)`

  - ### getDocbaseMapFromSpecificDocbroker

    IDfDocbaseMap getDocbaseMapFromSpecificDocbroker(String protocol, String hostName, String portNumber) throws DfException
    Returns information about the repositories that are known to a specific connection broker.

    This method returns repository IDs, repository names, and verbose repository descriptions.
    Parameters:
      `protocol` - the protocol used to talk to the connection broker (not used in most cases)
      `hostName` - the host machine on which the connection broker resides
      `portNumber` - the port number which the connection broker is using for communications
    Returns:
      an `IDfDocbaseMap` interface to the extended information about the repostories that are known to a connection broker
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `getDocbaseMap()`

  - ### getServerMap

    IDfTypedObject getServerMap(String docbaseName) throws DfException
    Returns information about the servers that are known to the set of connection brokers currently configured for this IDfDocbrokerClient instance.
    Parameters:
      `docbaseName` - the name of the repository for which you are requesting server information
    Returns:
      information about the servers that are known to a connection broker
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `getServerMapFromSpecificDocbroker(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
      - `getDocbaseMap()`

  - ### getAcsServerMap

    IDfTypedObject getAcsServerMap(String docbaseName) throws DfException
    Returns information about the ACS servers that are known to the set of connection brokers currently configured for this IDfDocbrokerClient instance.
    Parameters:
      `docbaseName` - the name of the repository for which you are requesting server information
    Returns:
      information about the servers that are known to the set of connection brokers currently configured for this IDfDocbrokerClient instance
    Throws:
      `DfException` - if a server error occurs
    Since:
      5.3 sp1
    See Also:
      - `getAcsServerMapFromSpecificDocbroker(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### getServerMapFromSpecificDocbroker

    IDfTypedObject getServerMapFromSpecificDocbroker(String docbaseName, String protocol, String hostName, String portNumber) throws DfException
    Returns information about the servers that are known to a specific connection broker.
    Parameters:
      `docbaseName` - the name of the repository
      `protocol` - the protocol used to talk to the connection broker (not used in most cases)
      `hostName` - the host machine on which the connection broker resides
      `portNumber` - the port number which the connection broker is using for communications
    Returns:
      information about the servers that are known to a connection broker
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `getServerMap(java.lang.String)`

  - ### getAcsServerMapFromSpecificDocbroker

    IDfTypedObject getAcsServerMapFromSpecificDocbroker(String docbaseName, String protocol, String hostName, String portNumber) throws DfException
    Returns information about the ACS servers that are known to a specific connection broker.
    Parameters:
      `docbaseName` - the name of the repository
      `protocol` - the protocol used to talk to the connection broker (not used in most cases)
      `hostName` - the host machine on which the connection broker resides
      `portNumber` - the port number which the connection broker is using for communications
    Returns:
      information about the ACS servers that are known to a connection broker
    Throws:
      `DfException` - if a server error occurs
    Since:
      5.3 sp1
    See Also:
      - `getAcsServerMap(java.lang.String)`

  - ### getDocbaseNameFromId

    String getDocbaseNameFromId(IDfId objectId) throws DfException
    Returns the name of the repository from which the object and its `IDfId` originated.
    Parameters:
      `objectId` - the object id
    Returns:
      the name of the repository from which the object ID originates
    Throws:
      `DfException` - if a server error occurs

  - ### getDocbaseNameFromDocbaseId

    String getDocbaseNameFromDocbaseId(long docbaseId) throws DfException
    Returns the name of the repository from its numeric id.
    Parameters:
      `docbaseId` - the numeric repository name
    Returns:
      the name of the repository requested docbase or null if it is unknown.
    Throws:
      `DfException` - if a server error occurs

  - ### setDocbrokerModificationEnabled

    void setDocbrokerModificationEnabled(boolean enable, IDfSession session) throws DfException
    Enables or disables the dynamic adding and removing of connection brokers.

    By default modification of connection brokers is disabled. Adding and removing of connection brokers requires special privileges. In order to enable dynamic connection broker modification, the caller must supply a session that has administrative privileges.
    Parameters:
      `enable` - an indication of whether to enable or disable connection broker modification
      `session` - an existing session for a user that has administrative privileges.
    Throws:
      `DfException`
    See Also:
      - `addDocbroker(String, int)`
      - `removeDocbroker(String, int)`
      - `isDocbrokerModificationEnabled()`

  - ### isDocbrokerModificationEnabled

    boolean isDocbrokerModificationEnabled()
    Indicates whether connection brokers can be dynamically added or removed.
    See Also:
      - `addDocbroker(String, int)`
      - `removeDocbroker(String, int)`
      - `setDocbrokerModificationEnabled(boolean, IDfSession)`